Scala Compiler2.13.0 < Back


# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package reflect
  Definition Classes
    tools
- Eval
- FastStringInterpolator
- FastTrack
- FormatInterpolator
- FrontEnd
- ReflectGlobal
- ReflectMain
- StdContextTags
- StdRuntimeTags
- StdTags
- ToolBox
- ToolBoxError
- ToolBoxFactory
- WrappedProperties

c

scala.tools.reflect

# FastTrack

###

#### class FastTrack[MacrosAndAnalyzer <: Macros with Analyzer] extends AnyRef

Optimizes system macro expansions by hardwiring them directly to their implementations bypassing standard reflective load and invoke to avoid the overhead of Java/Scala reflection.

Source
  FastTrack.scala

Linear Supertypes
AnyRef, Any
Type Hierarchy

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. FastTrack
2. AnyRef
3. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new FastTrack(macros: MacrosAndAnalyzer)

### Type Members

1.  final class FastTrackEntry extends (MacrosAndAnalyzer.MacroArgs) => Any

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from FastTrack[MacrosAndAnalyzer] toany2stringadd[FastTrack[MacrosAndAnalyzer]] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): (FastTrack[MacrosAndAnalyzer], B)
   Implicit
     This member is added by an implicit conversion from FastTrack[MacrosAndAnalyzer] toArrowAssoc[FastTrack[MacrosAndAnalyzer]] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  def apply(symbol: nsc.Global.Symbol): FastTrackEntry
7.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
8.  def clone(): AnyRef
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
9.  def contains(symbol: nsc.Global.Symbol): Boolean
10.  def ensuring(cond: (FastTrack[MacrosAndAnalyzer]) => Boolean, msg: => Any): FastTrack[MacrosAndAnalyzer]
    Implicit
      This member is added by an implicit conversion from FastTrack[MacrosAndAnalyzer] toEnsuring[FastTrack[MacrosAndAnalyzer]] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
11.  def ensuring(cond: (FastTrack[MacrosAndAnalyzer]) => Boolean): FastTrack[MacrosAndAnalyzer]
    Implicit
      This member is added by an implicit conversion from FastTrack[MacrosAndAnalyzer] toEnsuring[FastTrack[MacrosAndAnalyzer]] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
12.  def ensuring(cond: Boolean, msg: => Any): FastTrack[MacrosAndAnalyzer]
    Implicit
      This member is added by an implicit conversion from FastTrack[MacrosAndAnalyzer] toEnsuring[FastTrack[MacrosAndAnalyzer]] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
13.  def ensuring(cond: Boolean): FastTrack[MacrosAndAnalyzer]
    Implicit
      This member is added by an implicit conversion from FastTrack[MacrosAndAnalyzer] toEnsuring[FastTrack[MacrosAndAnalyzer]] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
14.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
15.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
16.  def finalize(): Unit
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
17.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from FastTrack[MacrosAndAnalyzer] toStringFormat[FastTrack[MacrosAndAnalyzer]] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
18.  def get(symbol: nsc.Global.Symbol): Option[FastTrackEntry]
19.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
20.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
21.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
22.  val macros: MacrosAndAnalyzer
23.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
24.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
25.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
26.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
27.  def toString(): String
    Definition Classes
      AnyRef → Any
28.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
29.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
30.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Deprecated Value Members

1.  def →[B](y: B): (FastTrack[MacrosAndAnalyzer], B)
   Implicit
     This member is added by an implicit conversion from FastTrack[MacrosAndAnalyzer] toArrowAssoc[FastTrack[MacrosAndAnalyzer]] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @deprecated
   Deprecated

     (Since version 2.13.0) Use `->` instead. If you still wish to display it as one character, consider using a font with programming ligatures such as Fira Code.

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd fromFastTrack[MacrosAndAnalyzer] to any2stringadd[FastTrack[MacrosAndAnalyzer]]

### Inherited by implicit conversion StringFormat fromFastTrack[MacrosAndAnalyzer] to StringFormat[FastTrack[MacrosAndAnalyzer]]

### Inherited by implicit conversion Ensuring fromFastTrack[MacrosAndAnalyzer] to Ensuring[FastTrack[MacrosAndAnalyzer]]

### Inherited by implicit conversion ArrowAssoc fromFastTrack[MacrosAndAnalyzer] to ArrowAssoc[FastTrack[MacrosAndAnalyzer]]

### Ungrouped